Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2007-6077

Overview

Vulnerability Score 6.8 6.8
CVE Id CVE-2007-6077
Last Modified 06 Jul 2012 12:00:00
Published 21 Nov 2007 04:46:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2007-6077

Summary

The session fixation protection mechanism in cgi_process.rb in Rails 1.2.4, as used in Ruby on Rails, removes the :cookie_only attribute from the DEFAULT_SESSION_OPTIONS constant, which effectively causes cookie_only to be applied only to the first instantiation of CgiRequest, which allows remote attackers to conduct session fixation attacks. NOTE: this is due to an incomplete fix for CVE-2007-5380.

Vulnerable Systems

Application

  • Ruby On Rails 1.2.4

  • Rubyonrails Rails 1.2.4


References

CERT - TA07-352A

CONFIRM - http://dev.rubyonrails.org/ticket/10048

VUPEN - ADV-2007-4238

VUPEN - ADV-2007-4009

BID - 26598

CONFIRM - http://weblog.rubyonrails.org/2007/11/24/ruby-on-rails-1-2-6-security-and-maintenance-release

SECUNIA - 28136

SECUNIA - 27781

APPLE - APPLE-SA-2007-12-17

CONFIRM - http://docs.info.apple.com/article.html?artnum=307179

CONFIRM - http://dev.rubyonrails.org/changeset/8177

Related Patches

Apple 2007-12-17 Security Update 2007-009 (10.5.1)

Apple 2007-12-21 Security Update 2007-009 1.1 (10.5.1)


Last Updated: 27 May 2016 10:53:33